# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_StdMapNodeOfPersistentMap Class Reference

`#include <MDocStd_StdMapNodeOfPersistentMap.hxx>`

## Public Member Functions

| MDocStd_StdMapNodeOfPersistentMap (const Handle(Standard_Persistent)&K, const TCollection_MapNodePtr &n)
Handle_Standard_Persistent & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Persistent | myKey

## Constructor & Destructor Documentation

MDocStd_StdMapNodeOfPersistentMap::MDocStd_StdMapNodeOfPersistentMap | ( | const Handle(Standard_Persistent)& | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MDocStd_StdMapNodeOfPersistentMap::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Persistent& MDocStd_StdMapNodeOfPersistentMap::Key | ( |  | ) | const

## Field Documentation

Handle_Standard_Persistent MDocStd_StdMapNodeOfPersistentMap::myKey `[private]`

The documentation for this class was generated from the following file:

- MDocStd_StdMapNodeOfPersistentMap.hxx